commit:     3487f13286a3260f23ca3bc18e0fa34ac71a6c1e
Author:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 26 17:25:26 2025 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Wed Nov 26 17:25:26 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3487f132

app-text/zotero-bin: add 7.0.30

Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 app-text/zotero-bin/Manifest                 |  2 +
 app-text/zotero-bin/zotero-bin-7.0.30.ebuild | 84 ++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/app-text/zotero-bin/Manifest b/app-text/zotero-bin/Manifest
index 33f2274bc106..1ce7d2ee80e7 100644
--- a/app-text/zotero-bin/Manifest
+++ b/app-text/zotero-bin/Manifest
@@ -1,2 +1,4 @@
 DIST zotero-bin-7.0.24-amd64.tar.bz2 109593102 BLAKE2B 
c4290395800db29bed9fe5ddfaa4aacefcc038cb98a3dcce898f10b81afa6e07facc4a65c26ee6e6dc933042489e27d0952e8bc5defbb0b7e1b187d95893d109
 SHA512 
2027a9ffe14ddada1a3914d4325700d054bda5a17baed4092b62d1c09f99eaeb817bb3d1fd0aa5322cd0213fadd65b0cd87a95e0cd80ff46e3217d0f4d56ff17
 DIST zotero-bin-7.0.24-x86.tar.bz2 113524426 BLAKE2B 
1ff36666d42914e6d9bb55ab0e32b4b22f25ef122b1895641bafaacd51161da3f3489871e59b85e924ffe6e64b0db1143f2c329a6d88076798734445d980310d
 SHA512 
6e32e03c4862b635510e60ff42e12c7dbbbf7a2bb3bbde1a37ed99707fd513696f5c02b8ebf68506543b9d6bf3ec88a77bfdf0b8177fb02a9227378ecd5b6685
+DIST zotero-bin-7.0.30-amd64.tar.bz2 109675355 BLAKE2B 
26800112a8e675fce393b09ccb73c14bc37da67bb088f91c64965a424c9a68318ec69e34b2786fc20abca1a13beb08ab0d4002d0c50c65525fc8032833356b20
 SHA512 
478a54c4a874b711db16da75e136d8aafffd48923cf370dba499d5553d8ee47a5e6c1818e1a7a0e699d9756a6cf713f828d5f5eea4a998ff7a4ba3561bda3024
+DIST zotero-bin-7.0.30-x86.tar.bz2 113606518 BLAKE2B 
585c94b688c75e6fc2acf4a65fe4aed3319ad07829df14060d4435c48aa4a2a682c310ee7c51c3ff524a04078d4f819da82125124b61f74d69d0b05b021feded
 SHA512 
3d12ef445fbe7ee304485084f3d86778620ac6c8a54ff5268e65bf76f384e1f517e4b58b8a2691a8b94558880284b9f2ff4b027adaeb44c02d3ec7cea747a858

diff --git a/app-text/zotero-bin/zotero-bin-7.0.30.ebuild 
b/app-text/zotero-bin/zotero-bin-7.0.30.ebuild
new file mode 100644
index 000000000000..a146fc26427b
--- /dev/null
+++ b/app-text/zotero-bin/zotero-bin-7.0.30.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop xdg
+
+DESCRIPTION="Helps you collect, organize, cite, and share your research 
sources"
+HOMEPAGE="https://www.zotero.org";
+SRC_URI="
+       amd64? ( 
https://www.zotero.org/download/client/dl?channel=release&platform=linux-x86_64&version=${PV}
 -> ${P}-amd64.tar.bz2 )
+       x86? ( 
https://www.zotero.org/download/client/dl?channel=release&platform=linux-i686&version=${PV}
 -> ${P}-x86.tar.bz2 )
+"
+S="${WORKDIR}"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="-* amd64 ~x86"
+
+RDEPEND="
+       app-accessibility/at-spi2-core
+       dev-libs/dbus-glib
+       dev-libs/glib
+       dev-libs/nspr
+       dev-libs/nss
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/freetype
+       sys-apps/dbus
+       sys-libs/glibc
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3
+       x11-libs/libX11
+       x11-libs/libxcb
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXtst
+       x11-libs/pango
+"
+
+QA_PREBUILT="opt/zotero/*"
+
+src_prepare() {
+       if use amd64; then
+               cd Zotero_linux-x86_64 || die
+       elif use x86; then
+               cd Zotero_linux-i686 || die
+       fi
+
+       # disable auto-update
+       sed -i -e 's#URL=.*#URL=#' app/application.ini || die
+
+       # fix desktop-file
+       sed -i -e 's#^Exec=.*#Exec=zotero -url %U#' zotero.desktop || die
+       sed -i -e 's#Icon=zotero.*#Icon=zotero#' zotero.desktop || die
+
+       default
+}
+
+src_install() {
+       if use amd64; then
+               cd Zotero_linux-x86_64 || die
+       elif use x86; then
+               cd Zotero_linux-i686 || die
+       fi
+
+       dodir opt/zotero
+       cp -a * "${ED}/opt/zotero" || die
+
+       dosym ../../opt/zotero/zotero usr/bin/zotero
+
+       domenu zotero.desktop
+
+       for size in 32 64 128; do
+               newicon -s ${size} icons/icon${size}.png zotero.png
+       done
+}

Reply via email to